> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File

> Get File



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json get /kb/v1/files/{id}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /kb/v1/files/{id}:
    get:
      tags:
        - Files
      summary: Get File
      description: Get File
      operationId: getFile
      parameters:
        - name: id
          description: Unique ID of the file
          required: true
          in: path
          schema:
            type: string
          example: 5f7b1b1b1b1b1b1b1b1b1b1b
      responses:
        '200':
          description: The response is of type `file`
          content:
            application/octet-stream: {}
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````